"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.initializeLinq = void 0;
const bindArray_1 = require("./bindArray");
const bindString_1 = require("./bindString");
const bindLinq_1 = require("./bindLinq");
/**
 * Binds LINQ methods to Array Types, Map, Set, and String
 */
const initializeLinq = () => {
    (0, bindLinq_1.bindLinq)(Map);
    (0, bindLinq_1.bindLinq)(Set);
    (0, bindString_1.bindString)();
    (0, bindArray_1.bindArray)(Array);
    (0, bindArray_1.bindArray)(Int8Array);
    (0, bindArray_1.bindArray)(Int16Array);
    (0, bindArray_1.bindArray)(Int32Array);
    (0, bindArray_1.bindArray)(Uint8Array);
    (0, bindArray_1.bindArray)(Uint8ClampedArray);
    (0, bindArray_1.bindArray)(Uint16Array);
    (0, bindArray_1.bindArray)(Uint32Array);
    (0, bindArray_1.bindArray)(Float32Array);
    (0, bindArray_1.bindArray)(Float64Array);
};
exports.initializeLinq = initializeLinq;
