"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asAsync = void 0;
const fromAsync_1 = require("../../async/static/fromAsync");
/**
 * Converts a IEnumerable enumerable to an async one.
 * @param source A parallel IEnumerable
 * @returns IAsyncEnumerable<TSource>
 */
const asAsync = (source) => {
    async function* generator() {
        for await (const value of source) {
            yield value;
        }
    }
    return (0, fromAsync_1.fromAsync)(generator);
};
exports.asAsync = asAsync;
