"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.concatenate = void 0;
const BasicParallelEnumerable_1 = require("../BasicParallelEnumerable");
/**
 * Concatenates two sequences.
 * @param first The first sequence to concatenate.
 * @param second The sequence to concatenate to the first sequence.
 * @returns An IParallelEnumerable<T> that contains the concatenated elements of the two input sequences.
 */
const concatenate = (first, second) => {
    const generator = async () => {
        const [firstData, secondData] = await Promise.all([first.toArray(), second.toArray()]);
        return [...firstData, ...secondData];
    };
    return new BasicParallelEnumerable_1.BasicParallelEnumerable({
        generator,
        type: 0 /* PromiseToArray */,
    });
};
exports.concatenate = concatenate;
