"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectAsync = void 0;
const BasicParallelEnumerable_1 = require("../BasicParallelEnumerable");
const _nextIterationAsync_1 = require("./_nextIterationAsync");
const _nextIterationWithIndexAsync_1 = require("./_nextIterationWithIndexAsync");
function selectAsync(source, keyOrSelector) {
    let generator;
    if (typeof keyOrSelector === "function") {
        if (keyOrSelector.length === 1) {
            generator = (0, _nextIterationAsync_1.nextIterationAsync)(source, keyOrSelector);
        }
        else {
            generator = (0, _nextIterationWithIndexAsync_1.nextIterationWithIndexAsync)(source, keyOrSelector);
        }
    }
    else {
        generator = (0, _nextIterationAsync_1.nextIterationAsync)(source, (x) => (x[keyOrSelector]));
    }
    return new BasicParallelEnumerable_1.BasicParallelEnumerable(generator);
}
exports.selectAsync = selectAsync;
