"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.asAsync = void 0;
const fromAsync_1 = require("../../async/static/fromAsync");
/**
 * Converts the iterable to an @see {IAsyncEnumerable}
 * @param source The Iterable<T> to convert
 * @returns An IAsyncEnumerable<T>
 */
const asAsync = (source) => {
    async function* generator() {
        for (const value of source) {
            yield value;
        }
    }
    return (0, fromAsync_1.fromAsync)(generator);
};
exports.asAsync = asAsync;
